Skip to main content
GET
Get statements of member's account

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

memberId
string
required

The id of the member, max length 36

Maximum string length: 36

Query Parameters

limit
integer<int32>
required

Max number of statements that is going to be returned

cursor
integer<int64>

(optional) Max transaction id that is going to be taken into account

Required range: 2 <= x <= 9223372036854776000
transactionType
string

(optional) Transaction type of statements that are going to be returned

transactionState
enum<string>

(optional) Transaction state of statements that are going to be returned

Available options:
All,
Waiting,
Successful

Response

OK

items
object[]
required

Items

nextCursor
string | null

Should be passed as cursor in the subsequent request. If there is no value then there are no more items to be fetched

Last modified on August 10, 2026